> ## Documentation Index
> Fetch the complete documentation index at: https://docs.youka.io/llms.txt
> Use this file to discover all available pages before exploring further.

# प्रमाणीकरण

> Bearer API key के साथ प्रमाणीकरण करें और स्थिर idempotency keys के साथ retries को scope करें।

# प्रमाणीकरण

API, Youka API key के साथ Bearer प्रमाणीकरण का उपयोग करता है। **API keys** के अंतर्गत [online.youka.io/account](https://online.youka.io/account) पर एक key बनाएं।

## API key भेजें

```http theme={null}
Authorization: Bearer yk_...
```

## अनुशंसित क्लाइंट सेटअप

* API key को अपनी source tree के बाहर स्टोर करें।
* इसे runtime पर environment variables या secrets manager के माध्यम से inject करें।
* polling requests सहित हर request पर header भेजें।

## उदाहरण

```bash theme={null}
curl https://api.youka.io/hi/api/v1/projects/proj_123 \
  -H "Authorization: Bearer yk_..."
```

## संबंधित दस्तावेज़

* [Node.js SDK quickstart](/hi/sdk)
* [Raw HTTP quickstart](/hi/api/quickstart)
* [Idempotency](/hi/api/idempotency)
* [Errors and retries](/hi/api/errors)
